com.dlsc.flexgantt.swing.action.gantt

## Class ToggleNodeAction<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction<T>
      - - com.dlsc.flexgantt.swing.action.gantt.ToggleNodeAction<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class ToggleNodeAction<T extends AbstractGanttChart>
      extends AbstractGanttChartAction<T>

  An action that will ensure that the tree node with the current focus will either expand or collapse, depending on its current state.
  Since:
    1.1
  Version:
    $Revision: 1.2 $
  Author:
    Dirk Lemmermann
  See Also:
    `TreeTable.expandPath(TreePath)`, `TreeTable.collapsePath(TreePath)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `ganttChart`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToggleNodeAction(T gc)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `findFocusedTable, getGanttChart, setGanttChart`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToggleNodeAction

          public ToggleNodeAction(T gc)

      Constructs a new action.
      Parameters:
        `gc` - the Gantt chart on which to invoke the action
      Since:
        1.1

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.